function K=STIFFNESS_MATRIX_2D(gs,numqc,Neig,Bmat,DOM,D,nnod)
weight=gs(:,3);
jac=gs(:,4);
Kloc=zeros(numqc,2*Neig,2*Neig);
ndof=2*nnod;
for i=1:2*Neig
    BBi = repmat(Bmat(:,:,i),[1 1 3]);
    BBi_x_D = bsxfun(@times,BBi,D);
    dNglbxD = reshape(sum(BBi_x_D,2),numqc,3);
    for j=1:2*Neig
        Kloc(:,i,j)=Kloc(:,i,j)+dNglbxD(:,1).*Bmat(:,1,j).*weight.*jac...
            +dNglbxD(:,2).*Bmat(:,2,j).*weight.*jac + dNglbxD(:,3).*Bmat(:,3,j).*weight.*jac;
    end
end
DOF = zeros(numqc,2*Neig);
DOFi = 2*(DOM-1);
for i = 1:2
    DOF(:,i:2:end) = DOFi+i;
end
row = zeros(numqc,2*Neig,2*Neig);
for i = 1:2*Neig
    row(:,:,i) = DOF;
end
col = permute(row,[1 3 2]);
row = row(:);
col = col(:);
a=row>0.5;
row=row(a); col=col(a); Kloc=Kloc(a);
a=col>0.5;
row=row(a); col=col(a); Kloc=Kloc(a);
K = sparse(row,col,Kloc,ndof,ndof);
K=0.5*(K'+K);