function [Grad,Bmat,PHIm]=Shape_Vec(numqc,dim,Neig,DPHIX,DPHIY,PHI)
Grad=zeros(numqc,dim,Neig);
Bmat=zeros(numqc,3*(dim-1),dim*Neig);
PHIm=zeros(numqc,dim,dim*Neig);
for j = 1:Neig
    Grad(:,1,j) = Grad(:,1,j) +DPHIX(:,j);
    Grad(:,2,j) = Grad(:,2,j) +DPHIY(:,j);
    PHIm(:,1,2*j-1)=PHIm(:,1,2*j-1)+PHI(:,j);
    PHIm(:,2,2*j)=PHIm(:,1,2*j)+PHI(:,j);
end
if dim==2
    for k = 1:Neig
        Bmat(:,1,2*k-1)= Bmat(:,1,2*k-1)+Grad(:,1,k);
        Bmat(:,2,2*k)= Bmat(:,2,2*k)+Grad(:,2,k);
        Bmat(:,3,2*k-1)= Bmat(:,3,2*k-1)+Grad(:,2,k);
        Bmat(:,3,2*k)= Bmat(:,3,2*k)+Grad(:,1,k);
    end
end