function [gs]=egauss_Line_2D(xyc,conn,gauss)
l = size(gauss);
l = l(2);
XYE=NODELE(xyc,conn);
[numcell,~,dim] =size(XYE);
gs=zeros(numcell*l,4);
XYG=zeros(numcell,dim);
%Determinando nodos en cada celda
for i=1:l
    xi=gauss(1,i);
    XYG(:,1)=(1-xi)*XYE(:,1,1)/2+(1+xi)*XYE(:,2,1)/2;
    XYG(:,2)=(1-xi)*XYE(:,1,2)/2+(1+xi)*XYE(:,2,2)/2;
    gs(i:l:end,1:2)=XYG(:,1:2);
    gs(i:l:end,3)=gauss(2,i);
    Jac=sqrt((XYE(:,1,1)-XYE(:,2,1)).^2+(XYE(:,1,2)-XYE(:,2,2)).^2)/2;
    gs(i:l:end,4)=Jac;
end