function  [phi,dphix,dphiy] = shape_bi_I(gpos,x,v,dm)
L = length(v);
won = ones(L,1);
nv = x(v,:);
nxy=x(v,1).*x(v,2);
q = [won nv nxy];
dif = won*gpos'-nv;
[w,dwdx,dwdy] = cubwgt(dif,v,dm);
W=diag(w); dWdx=diag(dwdx); dWdy=diag(dwdy);
QQg = [1 gpos' gpos(1)*gpos(2);0 1 0 gpos(2);0 0 1 gpos(1)];
PPg=zeros(3,size(q,2));
p=zeros(size(q)); p(:,1)=won; PPg(1,1)=QQg(1);
for i=2:size(q,2)
    p(:,i)=q(:,i); PPg(:,i)=QQg(:,i);
    for k=1:i-1
        c1=(q(:,i)'*W*p(:,k))/(p(:,k)'*W*p(:,k));
        p(:,i)=p(:,i)-c1*p(:,k);
        PPg(:,i)=PPg(:,i)-c1*PPg(:,k);
    end
end
aa=p'*W*p; aia=1./aa; 
aia=diag(diag(aia)); 
daax=p'*dWdx*p; daay=p'*dWdy*p;
gam=zeros(4,3); 
gam(:,1)=aia*PPg(1,:)'; 
gam(:,2)=aia*(PPg(2,:)'-daax*gam(:,1));
gam(:,3)=aia*(PPg(3,:)'-daay*gam(:,1));
B = p.*[w w w w];
dbx=p.*[dwdx dwdx dwdx dwdx];
dby=p.*[dwdy dwdy dwdy dwdy];
phi = gam(:,1)'*B';
dphix=gam(:,2)'*B'+gam(:,1)'*dbx';
dphiy=gam(:,3)'*B'+gam(:,1)'*dby';
end