function M=MASS_MATRIX(gs,numqc,numq,dim,Neig,PHI,DOM,rho)
weight=gs(:,3);
jac=gs(:,4);
Mloc=zeros(numqc,dim*Neig,dim*Neig);
ndof=dim*numq;
for i=1:Neig
    for j=1:Neig
        Mloc(:,2*i-1,2*j-1)=Mloc(:,2*i-1,2*j-1)+PHI(:,i).*rho.*PHI(:,j).*weight.*jac;
        Mloc(:,2*i,2*j)=Mloc(:,2*i,2*j)+PHI(:,i).*rho.*PHI(:,j).*weight.*jac;
    end
end
DOF = zeros(numqc,dim*Neig);
DOFi = dim*(DOM-1);
for i = 1:dim
    DOF(:,i:dim:end) = DOFi+i;
end
row = zeros(numqc,dim*Neig,dim*Neig);
for i = 1:dim*Neig
    row(:,:,i) = DOF;
end
col = permute(row,[1 3 2]);
row = row(:);
col = col(:);
a=row>0;
row=row(a); col=col(a); Mloc=Mloc(a);
a=col>0;
row=row(a); col=col(a); Mloc=Mloc(a);
M = sparse(row,col,Mloc(:),ndof,ndof);
M=0.5*(M'+M);
end