function Kp=PENALTY_MATRIX_VEC_2D(gs,nnodes,PHI,DOM,nn,PLTY)
weight=gs(:,3);
jac=gs(:,4);
[numqc,Neig]=size(DOM);
Kploc=zeros(numqc,2*Neig,2*Neig);
ndof=2*nnodes;
for i=1:Neig
    for j=1:Neig
        Kploc(:,2*i-1,2*j-1)=Kploc(:,2*i-1,2*j-1)+PHI(:,i).*PLTY.*nn(:,1,1).*PHI(:,j).*weight.*jac;
        Kploc(:,2*i-1,2*j)=Kploc(:,2*i-1,2*j)+PHI(:,i).*PLTY.*nn(:,1,2).*PHI(:,j).*weight.*jac;
        Kploc(:,2*i,2*j-1)=Kploc(:,2*i,2*j-1)+PHI(:,i).*PLTY.*nn(:,2,1).*PHI(:,j).*weight.*jac;
        Kploc(:,2*i,2*j)=Kploc(:,2*i,2*j)+PHI(:,i).*PLTY.*nn(:,2,2).*PHI(:,j).*weight.*jac;
    end
end
DOF = zeros(numqc,2*Neig);
DOFi = 2*(DOM-1);
for i = 1:2
    DOF(:,i:2:end) = DOFi+i;
end
row = zeros(numqc,2*Neig,2*Neig);
for i = 1:2*Neig
    row(:,:,i) = DOF;
end
col = permute(row,[1 3 2]);
row = row(:);
col = col(:);
a=row>0;
row=row(a); col=col(a); Kploc=Kploc(a);
a=col>0;
row=row(a); col=col(a); Kploc=Kploc(a);
Kp = sparse(row,col,Kploc,ndof,ndof);
Kp=0.5*(Kp'+Kp);
end