function Km=STIFF_MATRIX(conn,xy,C,GAUSS)
XGL=GAUSS.Loc_Coord;
weight=GAUSS.weight; NuIntP=size(XGL,2);
nnodxele=size(conn,2);
nele=size(conn,1); [nnod,dim]=size(xy);
ndofxele=dim*nnodxele; ndof=nnod*dim;
KeM=zeros(nele,ndofxele,ndofxele);
xye=NODELE(xy,conn);
for g=1:NuIntP
    xi=XGL(1,g); eta=XGL(2,g); w=weight(g);
    [~,Bmat,DetJ]=ShapeM(xi,eta,xye);
    for i=1:ndofxele
        BBi = repmat(Bmat(:,:,i),[1 1 3*(dim-1)]);
        BBi_x_C = bsxfun(@times,BBi,C);
        dNglbxC = reshape(sum(BBi_x_C,2),nele,3*(dim-1));
        for j=1:ndofxele
            KeM(:,i,j)=KeM(:,i,j)+dNglbxC(:,1).*Bmat(:,1,j).*w.*DetJ...
                +dNglbxC(:,2).*Bmat(:,2,j).*w.*DetJ + dNglbxC(:,3).*Bmat(:,3,j).*w.*DetJ;
        end
    end
end
DOF = zeros(nele,ndofxele);
DOFi = dim*(conn-1);
for i = 1:dim
    DOF(:,i:dim:end) = DOFi+i;
end
row = zeros(nele,ndofxele,ndofxele);
for i = 1:ndofxele
    row(:,:,i) = DOF;
end
col = permute(row,[1 3 2]);
row = row(:);
col = col(:);
Km = sparse(row,col,KeM(:),ndof,ndof);
Km=0.5*(Km'+Km);
end