function [N,dNglb,DetJ,invJ]=ShapeT(xi,eta,XYE)
[nele,nnodxele,dim] =size(XYE);
N=(1/4)*[(1-xi)*(1-eta) (1+xi)*(1-eta) (1+xi)*(1+eta) (1-xi)*(1+eta)];
dNloc=(1/4)*[-(1-eta) 1-eta 1+eta -(1+eta);...
    -(1-xi) -(1+xi) 1+xi 1-xi];
 J = zeros(nele,dim,dim);
    for i = 1:dim
        for j = 1:dim
            for k = 1:nnodxele
                J(:,i,j) = J(:,i,j) + dNloc(i,k)*XYE(:,k,j);
            end
        end
    end
 DetJ=J(:,dim-1,dim-1).*J(:,dim,dim)-J(:,dim,dim-1).*J(:,dim-1,dim);
 invJ=zeros(nele,dim,dim);
 invJ(:,1,1)=invJ(:,dim-1,dim-1)+J(:,dim,dim).*DetJ.^(-1);
 invJ(:,dim-1,dim)=invJ(:,dim-1,dim)-J(:,dim-1,dim).*DetJ.^(-1);
 invJ(:,dim,dim-1)=invJ(:,dim,dim-1)-J(:,dim,dim-1).*DetJ.^(-1);
 invJ(:,dim,dim)=invJ(:,dim,dim)+J(:,dim-1,dim-1).*DetJ.^(-1);
 dNglb = zeros(nele,dim,nnodxele);
    for i = 1:dim
        for j = 1:nnodxele
            for k = 1:dim
                dNglb(:,i,j) = dNglb(:,i,j) + invJ(:,i,k)*dNloc(k,j);
            end
        end
    end   
end